
Smart Proxy - Bug #7080

Couldn't enable plugin puppet: undefined method `<=>' for :puppet_provider:Symbol

08/14/2014 03:41 AM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee:    

Category: Plugins   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/200

  

Description

Nightly tests are currently failing with the following error in /var/log/foreman-proxy/proxy.log:

E, [2014-08-13T15:55:04.787256 #8962] ERROR -- : Couldn't enable plugin puppet: undefined method `

<=>' for :puppet_provider:Symbol:/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in `<=>'/n/usr/s

hare/foreman-proxy/lib/proxy/plugin.rb:139:in `sort'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb

:139:in `log_used_default_settings'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:149:in `configur

e_plugin'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in `configure_loaded_plugins'/n/usr/sha

re/foreman-proxy/lib/proxy/plugin.rb:22:in `each'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22

:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/smart_proxy.rb:118:in `launch'/n/usr/

share/foreman

Related issues:

Related to Smart Proxy - Bug #7060: puppet gem is required even when puppetca... Closed 08/13/2014

Associated revisions

Revision 71246358 - 08/15/2014 10:37 AM - Dmitri Dolguikh 

fixes #7080: symbols are no longer being sorted

History

#1 - 08/14/2014 03:41 AM - Dominic Cleal

- Related to Bug #7060: puppet gem is required even when puppetca module is disabled added

#2 - 08/14/2014 04:17 AM - Lukas Zapletal

So Foreman Proxy does not start in nightly? Damn.

#3 - 08/14/2014 04:23 AM - Dominic Cleal

Lukas Zapletal wrote:

So Foreman Proxy does not start in nightly? Damn.

 On 1.8 platforms, correct.

#4 - 08/14/2014 04:35 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 08/14/2014 06:53 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/200 added

- Pull request deleted ()
#6 - 08/14/2014 06:59 AM - Lukas Zapletal

So we are safe in Satellite 6 snap5! Cool.

#7 - 08/15/2014 11:01 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Ready For Testing to Closed

Applied in changeset 7124635869b5eecea3f359e2f020aa6f6d9d1bba.
